package com.bocloud.cmp.model.hmc.sdk.module;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

/**
 * 卷组Content实体类
 *
 * @author sxp
 * @since Jul 4, 2018
 */
public class VolumeGroup {
    private Metadata metadata;
    private String availableSize;
    private String freeSpace;
    private String groupCapacity;
    private String groupName;
    private String groupSerialID;
    private String maximumLogicalVolumes;
    private PhysicalVolumes physicalVolumes;
    private MediaRepositories mediaRepositories;
    private String uniqueDeviceID;
    private VirtualDisks virtualDisks;

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getAvailableSize() {
        return availableSize;
    }

    public void setAvailableSize(String availableSize) {
        this.availableSize = availableSize;
    }

    public String getFreeSpace() {
        return freeSpace;
    }

    public void setFreeSpace(String freeSpace) {
        this.freeSpace = freeSpace;
    }

    public String getGroupCapacity() {
        return groupCapacity;
    }

    public void setGroupCapacity(String groupCapacity) {
        this.groupCapacity = groupCapacity;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getGroupSerialID() {
        return groupSerialID;
    }

    public void setGroupSerialID(String groupSerialID) {
        this.groupSerialID = groupSerialID;
    }

    public String getMaximumLogicalVolumes() {
        return maximumLogicalVolumes;
    }

    public void setMaximumLogicalVolumes(String maximumLogicalVolumes) {
        this.maximumLogicalVolumes = maximumLogicalVolumes;
    }

    public PhysicalVolumes getPhysicalVolumes() {
        return physicalVolumes;
    }

    public void setPhysicalVolumes(PhysicalVolumes physicalVolumes) {
        this.physicalVolumes = physicalVolumes;
    }

    public String getUniqueDeviceID() {
        return uniqueDeviceID;
    }

    public void setUniqueDeviceID(String uniqueDeviceID) {
        this.uniqueDeviceID = uniqueDeviceID;
    }

    public VirtualDisks getVirtualDisks() {
        return virtualDisks;
    }

    public void setVirtualDisks(VirtualDisks virtualDisks) {
        this.virtualDisks = virtualDisks;
    }

    public MediaRepositories getMediaRepositories() {
        return mediaRepositories;
    }

    public void setMediaRepositories(MediaRepositories mediaRepositories) {
        this.mediaRepositories = mediaRepositories;
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
